<app-breadcrumb-admin [single]="true" titlePage="Areas"></app-breadcrumb-admin>

<h3 class="text-capitalize">
  <fa-icon [icon]="faTable"></fa-icon>&nbsp;
  Areas
</h3>
<div class="row">
  <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
    <div class="card mb-3">
      <div class="card-header">
        <div class="row">
          <div class="col-12">
            <h3 class="float-start text-primary">
              <a [routerLink]="['/admin/areas/create']" class="btn btn-outline-secondary">
                <fa-icon [icon]="faPlus"></fa-icon>&nbsp;
                <span class="text-capitalize">Agregar Area</span>
              </a>
            </h3>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="table-responsive">
          <table id="dataTable" class="table table-bordered table-hover display" style="width:100%">
            <thead class="bg-primary  text-white">
            <tr>
              <th>Imagen</th>
              <th>Nombre</th>
              <th>Fecha de Creación</th>
              <th>Proyecto</th>
              <th>Acciones</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let area of areas |  paginate: { itemsPerPage: 5, currentPage: page }; let i=index">
              <td width="100px">
                <a [routerLink]="['/admin/areas/edit', area._id]" title="Editar">
                  <img src="assets/images/missing.png" alt="Sin Imagen" class="img-fluid" *ngIf="!area.image">
                  <img [src]="area._id | image: 'areas'" [alt]="area.image" class="img-fluid" *ngIf="area.image" (error)="replaceImage(image)"
                       #image>
                </a>
              </td>
              <td align="bottom" height="100">
                <a [routerLink]="['/admin/areas/edit', area._id]" title="Editar">
                  <span *ngIf="serviceTranslation.getLang() == 'es'">
                    <span *ngIf="area.name.es">{{ area.name.es }}</span>
                    <span *ngIf="!area.name.es">Editar</span>
                  </span>
                  <span *ngIf="serviceTranslation.getLang() == 'en'">
                    <span *ngIf="area.name.en">{{ area.name.en }}</span>
                    <span *ngIf="!area.name.en">Editar</span>
                  </span>
                </a>
              </td>
              <td>{{ area.date | date }}</td>
              <td>
                <span *ngIf="serviceTranslation.getLang() == 'es'">{{ area.project.name.es }}</span>
                <span *ngIf="serviceTranslation.getLang() == 'en'">{{ area.project.name.en }}</span>
              </td>
              <td width="100px" class="text-center " >
                <fa-icon [icon]="faPowerOff" [ngClass]="{'text-success': area.active, 'text-danger': !area.active }"
                         class="ms-1 cursor"
                         title="Activo"
                         (click)="active(area._id, !area.active)" >
                </fa-icon>
                <fa-icon [icon]="faTrashAlt"
                         class="text-danger ms-1 cursor"
                         title="Eliminar"
                         (click)="delete(area._id)">
                </fa-icon>
              </td>
            </tr>
            </tbody>
          </table>
          <pagination-controls  (pageChange)="page = $event"
                                (pageBoundsCorrection)="page = $event"
                                [maxSize]=9
                                [directionLinks]=true
                                [autoHide]=true
                                [responsive]=true
                                previousLabel="Anterior"
                                nextLabel="Siguente"
                                screenReaderPaginationLabel="Pagination"
                                screenReaderPageLabel="page"
                                screenReaderCurrentLabel="You're on page">
          </pagination-controls>
        </div>
        <!-- end table-responsive-->
      </div>
      <!-- end card-body-->
    </div>
    <!-- end card-->
  </div>
</div>

